classification
Title: patchcheck should handle extraneous whitespace in .rst files
Type: enhancement Stage: needs patch
Components: Demos and Tools Versions: Python 3.2
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: brett.cannon, eric.araujo, georg.brandl
Priority: low Keywords: easy

Created on 2010-06-27 23:59 by brett.cannon, last changed 2010-11-22 21:32 by georg.brandl. This issue is now closed.

Messages (8)
msg108808 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-06-27 23:59
Tools/scripts/reindent-rst.py already exists, so this should be simple to add.
msg108909 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-06-29 14:24
Feel free to assign patchcheck bugs to me. I’ll write a patch and then assign to you for review.
msg108925 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-06-29 18:22
Knock yourself out!
msg109254 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-07-04 18:42
Please apply the refactor patch in #8912
msg119283 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-10-21 12:50
Now done in r85767.
msg122126 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-11-22 14:14
I tried to use “make patchcheck” after edits to reST files and it hung.  Do you have the same behavior?  I suspect reindent-rst is the culprit.

I’m wondering about the reindenting; other checks in patchcheck don’t edit files, they just print warnings.  On the other hand, removing trailing whitespace and reindenting is not a very good use of people’s time, so having a tool do them is good.
msg122156 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-11-22 19:09
Just ran it without issue after doing an `svn up`.

As for fix vs. not, while fixing indentations and removing trailing whitespace is nice, it isn't necessary. Both instances should be a rarity (most IDEs will make sure the situation doesn't occur), so the most important thing is detecting there is an issue for people to fix them (along with providing as much info as possible to make it easy to fix) rather than fixing it for them (if that turns out to be somewhat complicated to do).
msg122168 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-11-22 21:32
patchcheck.py is not so complicated; why don't you debug that hangup yourself?
History
Date User Action Args
2010-11-22 21:32:58georg.brandlsetmessages: + msg122168
2010-11-22 19:09:10brett.cannonsetmessages: + msg122156
2010-11-22 14:14:40eric.araujosetmessages: + msg122126
2010-10-21 12:50:05georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg119283

dependencies: - `make patchcheck` should check the whitespace of .c/.h files
2010-07-04 18:42:45eric.araujosetdependencies: + `make patchcheck` should check the whitespace of .c/.h files
messages: + msg109254
versions: + Python 3.2
2010-06-29 18:22:43brett.cannonsetassignee: eric.araujo
messages: + msg108925
2010-06-29 14:24:20eric.araujosetresolution: accepted

messages: + msg108909
nosy: + eric.araujo
2010-06-27 23:59:41brett.cannoncreate